API Reference
Consumable BOM
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/products/{productId}/consumables JWT API KeyGet consumables
Path parameters
| productIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/products/{productId}/consumables" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/products/{productId}/consumables JWT API KeyCreate consumables
Path parameters
| productIdrequired string (uuid) | — |
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0,
"unit": "string",
"channelScope": "string",
"required": false,
"kind": "string",
"sortOrder": 0
}| inventoryItemId string (uuid) | — |
| qtyPerParentUnit number (double) | — |
| unit string | — |
| channelScope string | — |
| required boolean | — |
| kind string | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/products/{productId}/consumables" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0,
"unit": "string",
"channelScope": "string",
"required": false,
"kind": "string",
"sortOrder": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/products/{productId}/consumables/{bomLineId} JWT API KeyDelete bomLineId
Path parameters
| productIdrequired string (uuid) | — |
| bomLineIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/products/{productId}/consumables/{bomLineId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu